import api_game as api_game
import game_1 as quest_game

str_path_img="data\\img\\"
str_img_menu=str_path_img+"menu\\game\\object_select.jpg"

music_location="data\\sound\\lost-day.ogg"

def on_create():
	global music_location
	api_game.load_stream(music_location,1)
	api_game.fade_music(music_location,0,3)

	str_path_icon=str_path_img+"lev\\"+__name__+"\\objects_icon\\"
	str_path_m_icon=str_path_img+"lev\\"+__name__+"\\items\\"
	quest_game.set_path_small_icon(str_path_img+"lev\\"+__name__+"\\icons\\")

	api_game.load_stream("data\\sound\\quest\\q_vodopad.ogg",0)
	api_game.set_local_vol("data\\sound\\quest\\q_vodopad.ogg",0.1)
	api_game.play_sound("data\\sound\\quest\\q_vodopad.ogg",1)

	api_game.load_stream("data\\sound\\quest\\amb_sea.ogg",0)
	api_game.set_local_vol("data\\sound\\quest\\amb_sea.ogg",0.1)
	api_game.play_sound("data\\sound\\quest\\amb_sea.ogg",1)

	api_game.load_stream("data\\sound\\quest\\amb_wind_low.ogg",0)
	api_game.set_local_vol("data\\sound\\quest\\amb_wind_low.ogg",0.5)
	api_game.play_sound("data\\sound\\quest\\amb_wind_low.ogg",1)

	api_game.load_stream("data\\sound\\quest\\q_wood_rotate.ogg",0)
	api_game.set_local_vol("data\\sound\\quest\\q_wood_rotate.ogg",0.1)

	api_game.enable_visibility(0,"chest_open", 0)
	api_game.enable_visibility(0,"wire_collected", 0)
	api_game.enable_visibility(0,"fourth_object", 0)
	api_game.enable_visibility(0,"wheel", 0)
	api_game.enable_visibility(0,"wheel_shadow", 0)
	api_game.enable_visibility(0,"wheel_light", 0)

	str_icons_menu=[str_path_icon+"item1_1.jpg",str_path_icon+"item1_2.jpg",str_path_icon+"item1_3.jpg",str_path_icon+"item1_4.jpg",str_path_icon+"item1_5.jpg","","",""]
	str_icon_mouse=[str_path_m_icon+"item1_1m.jpg",str_path_m_icon+"item1_2m.jpg",str_path_m_icon+"item1_3m.jpg",str_path_m_icon+"item1_4m.jpg",str_path_m_icon+"item1_5m.jpg","","",""]
	str_objects_on_loc=["item1_1","item1_2","item1_3","item1_4","item1_5","","",""]
	quest_game.add_of("first_object", str_img_menu, str_icons_menu, str_icon_mouse, str_objects_on_loc,0,0,0)

	str_icons_menu=[str_path_icon+"item2_1.jpg",str_path_icon+"item2_2.jpg",str_path_icon+"item2_3.jpg",str_path_icon+"item2_4.jpg",str_path_icon+"item2_5.jpg","","",""]
	str_icon_mouse=[str_path_m_icon+"item2_1m.jpg",str_path_m_icon+"item2_2m.jpg",str_path_m_icon+"item2_3m.jpg",str_path_m_icon+"item2_4m.jpg",str_path_m_icon+"item2_5m.jpg","","",""]
	str_objects_on_loc=["item2_1","item2_2","item2_3","item2_4","item2_5","","",""]
	quest_game.add_of("second_object", str_img_menu, str_icons_menu, str_icon_mouse, str_objects_on_loc,0,0,0)

	str_icons_menu=[str_path_icon+"item3_1.jpg",str_path_icon+"item3_2.jpg",str_path_icon+"item3_3.jpg",str_path_icon+"item3_4.jpg",str_path_icon+"item3_5.jpg","","",""]
	str_icon_mouse=[str_path_m_icon+"item3_1m.jpg",str_path_m_icon+"item3_2m.jpg",str_path_m_icon+"item3_3m.jpg",str_path_m_icon+"item3_4m.jpg",str_path_m_icon+"item3_5m.jpg","","",""]
	str_objects_on_loc=["item3_1","item3_2","item3_3","item3_4","item3_5","","",""]
	quest_game.add_of("three_object", str_img_menu, str_icons_menu, str_icon_mouse, str_objects_on_loc,2.2,0,0)

	str_icons_menu=[str_path_icon+"item4_1.jpg",str_path_icon+"item4_2.jpg",str_path_icon+"item4_3.jpg",str_path_icon+"item4_4.jpg",str_path_icon+"item4_5.jpg","","",""]
	str_icon_mouse=[str_path_m_icon+"item4_1m.jpg",str_path_m_icon+"item4_2m.jpg",str_path_m_icon+"item4_3m.jpg",str_path_m_icon+"item4_4m.jpg",str_path_m_icon+"item4_5m.jpg","","",""]
	str_objects_on_loc=["item4_1","item4_2","item4_3","item4_4","item4_5","","",""]
	quest_game.add_of("fourth_object", str_img_menu, str_icons_menu, str_icon_mouse, str_objects_on_loc,2,0,0)

	str_icons_menu=[str_path_icon+"item5_1.jpg",str_path_icon+"item5_1.jpg",str_path_icon+"item5_1.jpg",str_path_icon+"item5_1.jpg",str_path_icon+"item5_1.jpg","","",""]
	str_icon_mouse=[str_path_m_icon+"item5_1m.jpg",str_path_m_icon+"item5_1m.jpg",str_path_m_icon+"item5_1m.jpg",str_path_m_icon+"item5_1m.jpg",str_path_m_icon+"item5_1m.jpg","","",""]
	str_objects_on_loc=["item5_1","item5_2","item5_3","item5_4","item5_5","","",""]
	quest_game.add_of("fifth_object", str_img_menu, str_icons_menu, str_icon_mouse, str_objects_on_loc,0,0,0)
	
	quest_game.set_collect_sound("second_object","data\\sound\\quest\\q_skrip.ogg")
	quest_game.set_collect_sound("fifth_object","data\\sound\\quest\\q_racia.ogg")

	p_part = api_game.get_child(0,"part_layer33")
	api_game.enable_visibility(p_part,"waterfall1",0)
	api_game.enable_visibility(p_part,"watrefall2",0)

	quest_game.set_state_of("first_object", 2)
	api_game.set_goal("goal_17_1")

def on_mouse_down_of(object_name, p_object, state):
	if object_name == "first_object" and state == 3:
		api_game.set_goal("goal_17_2")
		api_game.play_anim(0,"first_object","quest_anim",0.5,1)
		quest_game.set_state_of("second_object", 2)	
	elif object_name == "second_object" and state == 3:
		quest_game.show_object("chest_open","quest_anim",0.5,0,0)
		api_game.play_anim(0,"second_object","quest_anim",0.5,1)
		quest_game.add_oc("chest_open", "data\\img\\lev\\loc_17_1\\mini\\secret_1.gif", "")	
		quest_game.add_object_puzzle(0,"chest_open")
	elif object_name == "three_object" and state == 3:
		api_game.set_goal("goal_17_4")
		quest_game.show_object("fourth_object","quest_anim",0.5,0,0)
		api_game.play_anim(0,"three_object","quest_anim",0.5,1)		
		quest_game.set_state_of("fourth_object", 2)
	elif object_name == "fourth_object" and state == 3:
		api_game.set_goal("goal_17_5")
		api_game.play_sound("data\\sound\\quest\\q_wood_rotate.ogg",1)
		quest_game.show_object("wheel","quest_anim",0.5,0,0)
		quest_game.show_object("wheel_shadow","quest_anim",0.5,0,0)
		quest_game.show_object("wheel_light","quest_anim",0.5,0,0)
		quest_game.set_state_of("fifth_object", 2)
		p_part = api_game.get_child(0,"part_layer33")
		api_game.enable_visibility(p_part,"waterfall1",1)
		api_game.enable_visibility(p_part,"watrefall2",1)
	elif object_name == "fifth_object" and state == 3:
		quest_game.show_object("wire_collected","quest_anim",0.5,0,0)
				 
def on_event(object_name, p_object, event):
	if event == 11000 and object_name == "loc_17_2":
		api_game.activate_game("loc_17_2",0)		
	elif event == 11004 and object_name == "loc_17_2":
		quest_game.set_state_of("three_object", 2)
		api_game.fade_off(1,object_name)
		api_game.set_goal("goal_17_3")
            
def on_stop_anim(object_name, anim_name, p_object, i_track):	
	if object_name == "wire_collected":
		api_game.game_win()
	elif object_name == "wheel":		
		api_game.play_anim(0,"wheel","rotate_circle",3,0)
		
def on_mouse_down_oc(object_name, p_object):
	if object_name == "chest_open":
		quest_game.remove_object_puzzle(0,"chest_open")
		quest_game.remove_oc("chest_open")
		api_game.set_goal("tut_17_3")
		api_game.attach_game("data\\menu\\levels\\loc_17_2")
		api_game.activate_game("loc_17_2",1)
